%bcond_without check

%global goipath         github.com/tomnomnom/rawhttp
%global commit          e904eb0f15db2e4db2528242d0992d95330c94a7

%gometa

%global common_description %{expand:
A Go library for making HTTP requests with complete control.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Making HTTP requests with complete control

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.gite904eb0
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
